# Returns usage data information for a customer Endpoint: GET /customer-usage-data Version: 1.49 Security: bearerAuth ## Query parameters: - `page` (integer, required) Page of results to show Example: 1 - `pageSize` (integer, required) Results to return per page Example: 100 - `sort` (string) Comma-delimited list of the fields to sort by - defaults to ascending order, suffix :desc to change Example: "id,name | name:desc" - `fields` (string) Comma-delimited list of the field(s) to return if only a subset is required Example: "id,name" - `customerId` (string) Filter by customer id Example: "0" - `siteId` (string) Filter by site id Example: "0" - `billRunId` (string) Filter by bill run id Example: "0" - `productReference` (string) Filter by product reference Example: "xyz | in:x,y | like:xyz" - `serviceId` (string) Filter by serviceId Example: "xyz | in:x,y | like:xyz" - `eventDateFrom` (string) Filter based on events from this date Example: "yyyy-MM-ddTHH:mm:ssZ | lt:yyyy-MM-ddTHH:mm:ssZ | gt:yyyy-MM-ddTHH:mm:ssZ" - `eventDateTo` (string) Filter based on events until this date Example: "yyyy-MM-ddTHH:mm:ssZ | lt:yyyy-MM-ddTHH:mm:ssZ | gt:yyyy-MM-ddTHH:mm:ssZ" - `destination` (string) Filter by destination/origin Example: "xyz | in:x,y | like:xyz" - `excludeZeroValueRecords` (string) Filter out zero value entries Example: "true | false" - `siteName` (string) Filter by site name Example: "xyz | in:x,y | like:xyz" - `description` (string) Filter by usage record description Example: "xyz | in:x,y | like:xyz" - `type` (string) Filter by charging unit type (ONE_OFF, MB, DURATION) Example: "xyz | in:x,y | like:xyz" - `inBundle` (string) Filter by whether the record is derived from a bundle Example: "true | false" - `logic` (string) Logical operator used to combine filters. Accepted values AND (default), OR. When AND is used, only records matching all filters are returned. When OR is used, records matching any filter are returned Example: "xyz | in:x,y | like:xyz" ## Response 200 fields (application/json): - `id` (integer) Customer usage identifier Example: 1 - `customerId` (integer) Customer identifier - `siteId` (integer) Site identifier - `siteName` (string) Site name - `billRunId` (integer) Bill run identifier - `eventDate` (string) Event date/time - `productReference` (string) Product Reference identifier - `serviceId` (string) Service ID - `destination` (string) Destination - `chargeGroupId` (integer) Charge group identifier Example: 1 - `callClass` (string) Call class - `oneOffQuantity` (integer) One-off quantity - `dataQuantity` (number) Data (MB) quantity - `durationQuantity` (integer) Duration (seconds) - `sellPrice` (number) Sell Price - `preDiscountedSellPrice` (number) Pre-discounted sell price - `buyPrice` (number) Buy Price - `ratedBuyPrice` (number) Rated buy Price - `profit` (number) Profit - `profitPercentage` (number) Profit percentage - `marginPercentage` (number) Margin percentage - `timeBand` (string) Time band Enum: "OFFPEAK", "PEAK", "WEEKEND" - `usageProductId` (integer) Usage product identifier Example: 1 - `usageDirection` (string) Usage direction Enum: "OUTBOUND", "INBOUND" - `isdn` (boolean) Is ISDN? - `additionalInfoGeneral` (string) Additional info general - `additionalInfoElectronic` (string) Additional info electronic summary - `supplierAccountId` (integer) Supplier account identifier Example: 1 - `fileName` (string) File name - `loadedDate` (string) Loaded date/time - `parserName` (string) Parser name - `fileType` (string) File type - `description` (string) Usage record description - `type` (string) Charging unit i.e. duration or data (MB) or one off Enum: "DURATION", "MB", "ONE_OFF" - `inBundle` (boolean) Whether the record is derived from a bundle ## Response 400 fields ## Response 401 fields ## Response 403 fields